Summary:        System V IPC constants and system calls
Name:           perl-IPC-SysV
Version:        2.09
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IPC-SysV
Source0:        https://cpan.metacpan.org/authors/id/M/MH/MHX/IPC-SysV-%{version}.tar.gz

%if %{defined perl_bootstrap}
BuildRequires:  coreutils
%endif
BuildRequires:  findutils gcc make perl-devel perl(strict)
BuildRequires:  perl-generators perl-interpreter 
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(Class::Struct) perl(Config) 
BuildRequires:  perl(Exporter) perl(vars) perl(XSLoader)
BuildRequires:  perl(Test::More) >= 0.45 perl(warnings)


%description
perl-IPC-SysV is an object interface for System V messages, semaphores, 
and inter-process calls. It defines and conditionally exports all the 
constants defined in your system include files which are needed by the 
SysV IPC calls. 

%prep
%autosetup -n IPC-SysV-%{version}
%if %{defined perl_bootstrap}
rm t/pod*
perl -i -ne 'print $_ unless m{^t/pod}' MANIFEST
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}

%check
make test

%files 
%doc Changes README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/IPC*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.09-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.09-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.09-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.09-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.09-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.09-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 8 2022 Wang Zhe <bessiewang@tencent.com> - 2.09-1
- initial build
